Package org.eclipse.e4.ui.css.core.css2

# Class CSSBorderPropertiesHelpers

java.lang.Object
org.eclipse.e4.ui.css.core.css2.CSSBorderPropertiesHelpers

public class CSSBorderPropertiesHelpers extends Object
CSS2 Border Helper.

Version:
  1.0.0
Author:
  Angelo ZERR

## Constructor Summary

Constructors
Constructor
Description
`CSSBorderPropertiesHelpers()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`updateCSSProperty(CSSBorderProperties borderProperties, String property, CSSValue value)`
Update the `property of` `borderProperties` instance with the `value`.
`static void`
`updateCSSPropertyBorderColor(CSSBorderProperties borderProperties, CSSValue value)`
Update `borderProperties` instance with border-color `value`.
`static void`
`updateCSSPropertyBorderStyle(CSSBorderProperties borderProperties, CSSValue value)`
Update `borderProperties` instance with border-style `value`.
`static void`
`updateCSSPropertyBorderWidth(CSSBorderProperties borderProperties, CSSValue value)`
Update `borderProperties` instance with border-width `value`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CSSBorderPropertiesHelpers

public CSSBorderPropertiesHelpers()

## Method Details

### updateCSSProperty

public static void updateCSSProperty(CSSBorderProperties borderProperties, String property, CSSValue value)
Update the `property of` `borderProperties` instance with the `value`.

### updateCSSPropertyBorderStyle

public static void updateCSSPropertyBorderStyle(CSSBorderProperties borderProperties, CSSValue value)
Update `borderProperties` instance with border-style `value`.

### updateCSSPropertyBorderColor

public static void updateCSSPropertyBorderColor(CSSBorderProperties borderProperties, CSSValue value)
Update `borderProperties` instance with border-color `value`.

### updateCSSPropertyBorderWidth

public static void updateCSSPropertyBorderWidth(CSSBorderProperties borderProperties, CSSValue value)
Update `borderProperties` instance with border-width `value`.